---
agentTools:
  projectIndex: https://sendinblue.readme.io/llms.txt
---

# Get the list of blocked or unsubscribed transactional contacts

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "contact": {
      "email": "contact@brevo.com",
      "name": "Brevo Support",
      "url": "https://account.brevo.com/support"
    },
    "description": "Brevo provide a RESTFul API that can be used with any languages. With this API, you will be able to :\n  - Manage your campaigns and get the statistics\n  - Manage your contacts\n  - Send transactional Emails and SMS\n  - and much more...\n\nYou can download our wrappers at https://github.com/orgs/brevo\n**Possible responses**\n  | Code | Message |\n  | :-------------: | ------------- |\n  | 200  | OK. Successful Request  |\n  | 201  | OK. Successful Creation |\n  | 202  | OK. Request accepted |\n  | 204  | OK. Successful Update/Deletion  |\n  | 400  | Error. Bad Request  |\n  | 401  | Error. Authentication Needed  |\n  | 402  | Error. Not enough credit, plan upgrade needed  |\n  | 403  | Error. Permission denied  |\n  | 404  | Error. Object does not exist |\n  | 405  | Error. Method not allowed  |\n  | 406  | Error. Not Acceptable  |\n  | 422  | Error. Unprocessable Entity |\n",
    "license": {
      "name": "MIT",
      "url": "http://opensource.org/licenses/MIT"
    },
    "title": "Brevo API",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.brevo.com/v3"
    }
  ],
  "security": [
    {
      "api-key": []
    },
    {
      "partner-key": []
    }
  ],
  "paths": {
    "/smtp/blockedContacts": {
      "get": {
        "operationId": "getTransacBlockedContacts",
        "parameters": [
          {
            "description": "**Mandatory if endDate is used.** Starting date (YYYY-MM-DD) from which you want to fetch the blocked or unsubscribed contacts\n",
            "in": "query",
            "name": "startDate",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "**Mandatory if startDate is used.** Ending date (YYYY-MM-DD) till which you want to fetch the blocked or unsubscribed contacts\n",
            "in": "query",
            "name": "endDate",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Number of documents returned per page",
            "in": "query",
            "name": "limit",
            "schema": {
              "default": 50,
              "format": "int64",
              "maximum": 100,
              "minimum": 0,
              "type": "integer"
            }
          },
          {
            "description": "Index of the first document on the page",
            "in": "query",
            "name": "offset",
            "schema": {
              "default": 0,
              "format": "int64",
              "type": "integer"
            }
          },
          {
            "description": "Comma separated list of emails of the senders from which contacts are blocked or unsubscribed",
            "explode": false,
            "in": "query",
            "name": "senders",
            "schema": {
              "items": {
                "type": "string"
              },
              "type": "array"
            },
            "style": "form"
          },
          {
            "description": "Sort the results in the ascending/descending order of record creation. Default order is **descending** if `sort` is not passed",
            "in": "query",
            "name": "sort",
            "required": false,
            "schema": {
              "default": "desc",
              "enum": [
                "asc",
                "desc"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "examples": {
                  "response": {
                    "value": {
                      "contacts": [
                        {
                          "blockedAt": "2017-05-01T12:30:00Z",
                          "email": "abc@xyz.com",
                          "reason": {
                            "code": "adminBlocked",
                            "message": "Admin blocked"
                          },
                          "senderEmail": "ez312@gmal.com"
                        }
                      ],
                      "count": 1
                    }
                  }
                },
                "schema": {
                  "properties": {
                    "contacts": {
                      "items": {
                        "properties": {
                          "blockedAt": {
                            "description": "Date when the contact was blocked or unsubscribed on",
                            "example": "2017-05-01T12:30:00Z",
                            "type": "string"
                          },
                          "email": {
                            "description": "Email address of the blocked or unsubscribed contact",
                            "example": "john.smith@example.com",
                            "format": "email",
                            "type": "string"
                          },
                          "reason": {
                            "description": "Reason for blocking / unsubscribing",
                            "example": "Admin blocked",
                            "properties": {
                              "code": {
                                "description": "Reason code for blocking / unsubscribing (This code is safe for comparison)",
                                "enum": [
                                  "unsubscribedViaMA",
                                  "unsubscribedViaEmail",
                                  "adminBlocked",
                                  "unsubscribedViaApi",
                                  "hardBounce",
                                  "contactFlaggedAsSpam"
                                ],
                                "example": "AdminBlocked",
                                "type": "string"
                              },
                              "message": {
                                "description": "Reason for blocking / unsubscribing (This string is not safe for comparison)",
                                "example": "Admin blocked",
                                "type": "string"
                              }
                            },
                            "type": "object"
                          },
                          "senderEmail": {
                            "description": "Sender email address of the blocked or unsubscribed contact",
                            "example": "john.smith@example.com",
                            "format": "email",
                            "type": "string"
                          }
                        },
                        "required": [
                          "blockedAt",
                          "email",
                          "reason",
                          "senderEmail"
                        ],
                        "type": "object"
                      },
                      "type": "array"
                    },
                    "count": {
                      "description": "Count of blocked or unsubscribed contact",
                      "example": 1,
                      "format": "int64",
                      "type": "integer"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "List of blocked or unsubscribed transactional contacts"
          },
          "400": {
            "$ref": "#/components/responses/errorModel"
          }
        },
        "summary": "Get the list of blocked or unsubscribed transactional contacts",
        "tags": [
          "Transactional emails"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api-key": {
        "description": "The API key should be passed in the request headers as `api-key` for authentication.",
        "in": "header",
        "name": "api-key",
        "type": "apiKey"
      },
      "partner-key": {
        "description": "The partner key should be passed in the request headers as `partner-key` along with `api-key` pair for successful authentication of partner (Optional).",
        "in": "header",
        "name": "partner-key",
        "type": "apiKey"
      }
    },
    "responses": {
      "errorModel": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "code": {
                  "description": "Error code displayed in case of a failure",
                  "enum": [
                    "invalid_parameter",
                    "missing_parameter",
                    "out_of_range",
                    "campaign_processing",
                    "campaign_sent",
                    "document_not_found",
                    "not_enough_credits",
                    "permission_denied",
                    "duplicate_parameter",
                    "duplicate_request",
                    "method_not_allowed",
                    "unauthorized",
                    "account_under_validation",
                    "not_acceptable",
                    "bad_request",
                    "unprocessable_entity",
                    "Domain does not exist",
                    "Contact email not found",
                    "Attribute not found",
                    "Category id not found",
                    "Invalid parameters passed",
                    "Record(s) for identifier not found",
                    "Returned when query params are invalid",
                    "Returned when invalid data posted",
                    "Feed not found",
                    "Campaign ID not found",
                    "api-key not found",
                    "DMARC policy requires domain authentication",
                    "DNS records not properly configured",
                    "Invalid OTP code provided",
                    "OTP code has expired",
                    "Domain already exists in your account",
                    "The sum of all IP weights must equal 100",
                    "Authentication failed",
                    "Insufficient credits",
                    "Request already processed"
                  ],
                  "example": "method_not_allowed",
                  "type": "string"
                },
                "message": {
                  "description": "Readable message associated to the failure",
                  "example": "POST Method is not allowed on this path",
                  "type": "string"
                }
              },
              "required": [
                "code",
                "message"
              ],
              "type": "object"
            }
          }
        },
        "description": "bad request"
      }
    }
  },
  "x-samples-languages": [
    "curl"
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 91,
      "1": 104,
      "2": 180,
      "3": 205,
      "4": 240,
      "5": 82,
      "6": 207,
      "7": 0,
      "8": 3,
      "9": 36,
      "10": 63,
      "11": 142
    }
  }
}
```